sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"client-sdks","id":"Client SDKs"},{"anchor":"installation","id":"Installation"},{"anchor":"usage","id":"Usage"},{"anchor":"developing","id":"Developing"},{"anchor":"copyright-and-license","id":"Copyright and License"}],"id":"readme","title":"Membrane RTC Engine"},{"group":"","headers":[],"id":"license","title":"LICENSE"},{"group":"","headers":[{"anchor":"managing-track-variants","id":"Managing track variants"}],"id":"track_lifecycle","title":"Track Lifecycle"},{"group":"","headers":[{"anchor":"general-rules","id":"General rules"},{"anchor":"implementing-membrane-bin","id":"Implementing Membrane.Bin"},{"anchor":"consuming-data","id":"Consuming data"},{"anchor":"subscribing-to-a-track","id":"Subscribing to a track"}],"id":"custom_endpoints","title":"Custom endpoint"},{"group":"","headers":[{"anchor":"turning-simulcast-on-off","id":"Turning simulcast on/off"}],"id":"simulcast","title":"Simulcast"},{"group":"","headers":[],"id":"logs","title":"Logs"},{"group":"","headers":[],"id":"metrics","title":"Metrics"},{"group":"","headers":[],"id":"traces","title":"Traces"},{"group":"","headers":[{"anchor":"enabling-vad","id":"Enabling VAD"}],"id":"vad","title":"Voice Activity Detection"},{"group":"Developer docs","headers":[{"anchor":"table-of-contents","id":"Table of contents"},{"anchor":"client-webrtc-endpoint","id":"Client -&gt; WebRTC Endpoint"},{"anchor":"webrtc-endpoint-client","id":"WebRTC Endpoint -&gt; Client"},{"anchor":"client-webrtc-enpoint","id":"Client -&gt; WebRTC Enpoint"},{"anchor":"webrtc-enpoint-client","id":"WebRTC Enpoint -&gt; Client"}],"id":"webrtc_media_events","title":"WebRTC Media Events"},{"group":"Developer docs","headers":[],"id":"protocol","title":"Signaling Protocol"},{"group":"Developer docs","headers":[{"anchor":"architecture","id":"Architecture"},{"anchor":"tracksender","id":"TrackSender"},{"anchor":"trackreceiver","id":"TrackReceiver"},{"anchor":"connectionallocator","id":"ConnectionAllocator"}],"id":"webrtc_endpoint","title":"WebRTC Endpoint"},{"group":"Developer docs","headers":[{"anchor":"codecs","id":"Codecs"},{"anchor":"logic","id":"Logic"},{"anchor":"forwarder","id":"Forwarder"},{"anchor":"mungers","id":"Mungers"},{"anchor":"disabling-simulcast","id":"Disabling Simulcast"}],"id":"internal_simulcast","title":"Simulcast"},{"group":"Developer docs","headers":[],"id":"internal_engine_architecture","title":"Engine Architecture"},{"group":"Upgrading","headers":[{"anchor":"rtc-engine-elixir","id":"RTC Engine (Elixir)"},{"anchor":"sdk-js","id":"SDK (JS)"}],"id":"v0-14","title":"Upgrading to v0.14"}],"modules":[{"group":"Engine","id":"Membrane.RTC.Engine","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:endpoint_options_t/0","id":"endpoint_options_t/0","title":"endpoint_options_t()"},{"anchor":"t:forward_to_parent_action_t/0","id":"forward_to_parent_action_t/0","title":"forward_to_parent_action_t()"},{"anchor":"t:options_t/0","id":"options_t/0","title":"options_t()"},{"anchor":"t:publish_action_t/0","id":"publish_action_t/0","title":"publish_action_t()"},{"anchor":"t:publish_message_t/0","id":"publish_message_t/0","title":"publish_message_t()"},{"anchor":"t:published_message_t/0","id":"published_message_t/0","title":"published_message_t()"},{"anchor":"t:ready_ack_msg_t/0","id":"ready_ack_msg_t/0","title":"ready_ack_msg_t()"},{"anchor":"t:ready_action_t/0","id":"ready_action_t/0","title":"ready_action_t()"},{"anchor":"t:subscription_opts_t/0","id":"subscription_opts_t/0","title":"subscription_opts_t()"},{"anchor":"t:track_ready_action_t/0","id":"track_ready_action_t/0","title":"track_ready_action_t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add_endpoint/3","id":"add_endpoint/3","title":"add_endpoint(pid, endpoint, opts \\\\ [])"},{"anchor":"child_spec/1","id":"child_spec/1","title":"child_spec(arg)"},{"anchor":"get_endpoints/1","id":"get_endpoints/1","title":"get_endpoints(rtc_engine)"},{"anchor":"get_registry_name/0","id":"get_registry_name/0","title":"get_registry_name()"},{"anchor":"message_endpoint/3","id":"message_endpoint/3","title":"message_endpoint(rtc_engine, endpoint_id, message)"},{"anchor":"register/2","id":"register/2","title":"register(rtc_engine, who \\\\ self())"},{"anchor":"remove_endpoint/2","id":"remove_endpoint/2","title":"remove_endpoint(rtc_engine, id)"},{"anchor":"start/2","id":"start/2","title":"start(options, process_options)"},{"anchor":"start_link/2","id":"start_link/2","title":"start_link(options, process_options)"},{"anchor":"subscribe/4","id":"subscribe/4","title":"subscribe(rtc_engine, endpoint_id, track_id, opts \\\\ [])"},{"anchor":"terminate/2","id":"terminate/2","title":"terminate(pipeline, opts \\\\ [])"},{"anchor":"unregister/2","id":"unregister/2","title":"unregister(rtc_engine, who \\\\ self())"}]}],"sections":[{"anchor":"module-messages","id":"Messages"},{"anchor":"module-endpoints","id":"Endpoints"}],"title":"Membrane.RTC.Engine"},{"group":"Engine","id":"Membrane.RTC.Engine.Endpoint","nested_context":"Membrane.RTC.Engine","nested_title":".Endpoint","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:id/0","id":"id/0","title":"id()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:type/0","id":"type/0","title":"type()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get_active_track_metadata/1","id":"get_active_track_metadata/1","title":"get_active_track_metadata(endpoint)"},{"anchor":"get_audio_tracks/1","id":"get_audio_tracks/1","title":"get_audio_tracks(endpoint)"},{"anchor":"get_track_by_id/2","id":"get_track_by_id/2","title":"get_track_by_id(endpoint, id)"},{"anchor":"get_tracks/1","id":"get_tracks/1","title":"get_tracks(endpoint)"},{"anchor":"get_video_tracks/1","id":"get_video_tracks/1","title":"get_video_tracks(endpoint)"},{"anchor":"new/3","id":"new/3","title":"new(id, type, inbound_tracks)"},{"anchor":"update_track_encoding/3","id":"update_track_encoding/3","title":"update_track_encoding(endpoint, track_id, value)"},{"anchor":"update_track_metadata/3","id":"update_track_metadata/3","title":"update_track_metadata(endpoint, track_id, metadata)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint"},{"group":"Engine","id":"Membrane.RTC.Engine.Message","nested_context":"Membrane.RTC.Engine","nested_title":".Message","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Message"},{"group":"Engine","id":"Membrane.RTC.Engine.Metrics","nested_context":"Membrane.RTC.Engine","nested_title":".Metrics","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"metrics/0","id":"metrics/0","title":"metrics()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Metrics"},{"group":"Engine","id":"Membrane.RTC.Engine.Notifications.TrackNotification","nested_context":"Membrane.RTC.Engine","nested_title":".Notifications.TrackNotification","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[{"anchor":"module-publishing-the-notification","id":"Publishing the notification"}],"title":"Membrane.RTC.Engine.Notifications.TrackNotification"},{"group":"Engine","id":"Membrane.RTC.Engine.Track","nested_context":"Membrane.RTC.Engine","nested_title":".Track","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:encoding/0","id":"encoding/0","title":"encoding()"},{"anchor":"t:id/0","id":"id/0","title":"id()"},{"anchor":"t:opts_t/0","id":"opts_t/0","title":"opts_t()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:variant/0","id":"variant/0","title":"variant()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get_depayloader/1","id":"get_depayloader/1","title":"get_depayloader(track)"},{"anchor":"is_simulcast?/1","id":"is_simulcast?/1","title":"is_simulcast?(track)"},{"anchor":"new/7","id":"new/7","title":"new(type, stream_id, origin, encoding, clock_rate, fmtp, opts \\\\ [])"},{"anchor":"stream_id/0","id":"stream_id/0","title":"stream_id()"},{"anchor":"supported_variants/0","id":"supported_variants/0","title":"supported_variants()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Track"},{"group":"Engine","id":"Membrane.RTC.Engine.Track.BitrateEstimation","nested_context":"Membrane.RTC.Engine","nested_title":".Track.BitrateEstimation","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Track.BitrateEstimation"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","id":"options/0","title":"options()"}]}],"sections":[{"anchor":"module-bin-options","id":"Bin options"},{"anchor":"module-pads","id":"Pads"}],"title":"Membrane.RTC.Engine.Endpoint.HLS"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.AudioMixerConfig","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.AudioMixerConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.AudioMixerConfig"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.CompositorConfig","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.CompositorConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.CompositorConfig"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.CustomLayoutMaker","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.CustomLayoutMaker","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:output_stream_format/0","id":"output_stream_format/0","title":"output_stream_format()"},{"anchor":"t:padding/0","id":"padding/0","title":"padding()"},{"anchor":"t:position/0","id":"position/0","title":"position()"},{"anchor":"t:resolution/0","id":"resolution/0","title":"resolution()"},{"anchor":"t:track_no/0","id":"track_no/0","title":"track_no()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:track_stream_format/3","id":"track_stream_format/3","title":"track_stream_format(output_stream_format, track_no, padding)"},{"anchor":"c:track_stream_position/3","id":"track_stream_position/3","title":"track_stream_position(output_stream_format, track_no, padding)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.CustomLayoutMaker"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.DesktopLayout","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.DesktopLayout","sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.DesktopLayout"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.HLSConfig","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.HLSConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default_storage/1","id":"default_storage/1","title":"default_storage(directory)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.HLSConfig"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.MixerConfig","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.MixerConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.MixerConfig"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.MobileLayout","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.MobileLayout","sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.MobileLayout"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.StreamFormatUpdater","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.StreamFormatUpdater","sections":[{"anchor":"module-pads","id":"Pads"}],"title":"Membrane.RTC.Engine.Endpoint.HLS.StreamFormatUpdater"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.HLS.VideoLayoutMaker","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".HLS.VideoLayoutMaker","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:output_format/0","id":"output_format/0","title":"output_format()"},{"anchor":"t:state/0","id":"state/0","title":"state()"},{"anchor":"t:stream_format/0","id":"stream_format/0","title":"stream_format()"},{"anchor":"t:updated_layout/0","id":"updated_layout/0","title":"updated_layout()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:init/2","id":"init/2","title":"init(output_format, any)"},{"anchor":"c:track_added/3","id":"track_added/3","title":"track_added(t, stream_format, state)"},{"anchor":"c:track_removed/2","id":"track_removed/2","title":"track_removed(t, state)"},{"anchor":"c:track_updated/3","id":"track_updated/3","title":"track_updated(t, stream_format, state)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.HLS.VideoLayoutMaker"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.RTSP","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".RTSP","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","id":"options/0","title":"options()"},{"anchor":"request_reconnect/2","id":"request_reconnect/2","title":"request_reconnect(rtc_engine, endpoint_id)"}]}],"sections":[{"anchor":"module-limitations","id":"Limitations"},{"anchor":"module-bin-options","id":"Bin options"},{"anchor":"module-pads","id":"Pads"}],"title":"Membrane.RTC.Engine.Endpoint.RTSP"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:encoding_t/0","id":"encoding_t/0","title":"encoding_t()"},{"anchor":"t:media_event_message_t/0","id":"media_event_message_t/0","title":"media_event_message_t()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","id":"options/0","title":"options()"}]}],"sections":[{"anchor":"module-signalling","id":"Signalling"},{"anchor":"module-monitoring-track-activity","id":"Monitoring track activity"},{"anchor":"module-bin-options","id":"Bin options"},{"anchor":"module-pads","id":"Pads"}],"title":"Membrane.RTC.Engine.Endpoint.WebRTC"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.ConnectionAllocator","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.ConnectionAllocator","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:allocator_ref/0","id":"allocator_ref/0","title":"allocator_ref()"},{"anchor":"t:decrease_allocation_request/0","id":"decrease_allocation_request/0","title":"decrease_allocation_request()"},{"anchor":"t:decrease_allocation_request_response/0","id":"decrease_allocation_request_response/0","title":"decrease_allocation_request_response()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:buffer_sent/2","id":"buffer_sent/2","title":"buffer_sent(allocator_ref, t)"},{"anchor":"c:create/0","id":"create/0","title":"create()"},{"anchor":"c:destroy/1","id":"destroy/1","title":"destroy(allocator_ref)"},{"anchor":"c:register_track_receiver/4","id":"register_track_receiver/4","title":"register_track_receiver(allocator_ref, number, t, t)"},{"anchor":"c:request_allocation/2","id":"request_allocation/2","title":"request_allocation(allocator_ref, number)"},{"anchor":"c:set_negotiability_status/2","id":"set_negotiability_status/2","title":"set_negotiability_status(allocator_ref, boolean)"},{"anchor":"c:update_bandwidth_estimation/2","id":"update_bandwidth_estimation/2","title":"update_bandwidth_estimation(allocator_ref, number)"}]}],"sections":[{"anchor":"module-granting-an-allocation","id":"Granting an allocation"},{"anchor":"module-negotiating-lower-allocation","id":"Negotiating lower allocation"}],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.ConnectionAllocator"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.ConnectionAllocator.AllocationGrantedNotification","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.ConnectionAllocator.AllocationGrantedNotification","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.ConnectionAllocator.AllocationGrantedNotification"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.NoOpConnectionAllocator","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.NoOpConnectionAllocator","sections":[],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.NoOpConnectionAllocator"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.RTPConnectionAllocator","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.RTPConnectionAllocator","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1","title":"child_spec(init_arg)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.RTPConnectionAllocator"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.SimulcastConfig","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.SimulcastConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"initial_target_variant/1","id":"initial_target_variant/1","title":"initial_target_variant(track)"}]}],"sections":[],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.SimulcastConfig"},{"group":"Endpoints","id":"Membrane.RTC.Engine.Endpoint.WebRTC.TrackReceiver","nested_context":"Membrane.RTC.Engine.Endpoint","nested_title":".WebRTC.TrackReceiver","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:control_messages/0","id":"control_messages/0","title":"control_messages()"},{"anchor":"t:notifications/0","id":"notifications/0","title":"notifications()"},{"anchor":"t:set_negotiable?/0","id":"set_negotiable?/0","title":"set_negotiable?()"},{"anchor":"t:set_target_variant/0","id":"set_target_variant/0","title":"set_target_variant()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:variant_switch_reason/0","id":"variant_switch_reason/0","title":"variant_switch_reason()"},{"anchor":"t:variant_switched/0","id":"variant_switched/0","title":"variant_switched()"},{"anchor":"t:voice_activity_changed/0","id":"voice_activity_changed/0","title":"voice_activity_changed()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","id":"options/0","title":"options()"}]}],"sections":[{"anchor":"module-element-options","id":"Element options"},{"anchor":"module-pads","id":"Pads"}],"title":"Membrane.RTC.Engine.Endpoint.WebRTC.TrackReceiver"},{"group":"Events","id":"Membrane.RTC.Engine.Event.RequestTrackVariant","nested_context":"Membrane.RTC.Engine.Event","nested_title":".RequestTrackVariant","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.RequestTrackVariant"},{"group":"Events","id":"Membrane.RTC.Engine.Event.TrackVariantBitrate","nested_context":"Membrane.RTC.Engine.Event","nested_title":".TrackVariantBitrate","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.TrackVariantBitrate"},{"group":"Events","id":"Membrane.RTC.Engine.Event.TrackVariantPaused","nested_context":"Membrane.RTC.Engine.Event","nested_title":".TrackVariantPaused","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.TrackVariantPaused"},{"group":"Events","id":"Membrane.RTC.Engine.Event.TrackVariantResumed","nested_context":"Membrane.RTC.Engine.Event","nested_title":".TrackVariantResumed","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.TrackVariantResumed"},{"group":"Events","id":"Membrane.RTC.Engine.Event.TrackVariantSwitched","nested_context":"Membrane.RTC.Engine.Event","nested_title":".TrackVariantSwitched","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.TrackVariantSwitched"},{"group":"Events","id":"Membrane.RTC.Engine.Event.VoiceActivityChanged","nested_context":"Membrane.RTC.Engine.Event","nested_title":".VoiceActivityChanged","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Event.VoiceActivityChanged"},{"group":"Messages","id":"Membrane.RTC.Engine.Message.EndpointCrashed","nested_context":"Membrane.RTC.Engine.Message","nested_title":".EndpointCrashed","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Message.EndpointCrashed"},{"group":"Messages","id":"Membrane.RTC.Engine.Message.EndpointMessage","nested_context":"Membrane.RTC.Engine.Message","nested_title":".EndpointMessage","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"Membrane.RTC.Engine.Message.EndpointMessage"},{"group":"Exceptions","id":"Membrane.RTC.Engine.Exception.PublishTrackError","nested_context":"Membrane.RTC.Engine.Exception","nested_title":".PublishTrackError","sections":[],"title":"Membrane.RTC.Engine.Exception.PublishTrackError"},{"group":"Exceptions","id":"Membrane.RTC.Engine.Exception.RequestTrackVariantError","nested_context":"Membrane.RTC.Engine.Exception","nested_title":".RequestTrackVariantError","sections":[],"title":"Membrane.RTC.Engine.Exception.RequestTrackVariantError"},{"group":"Exceptions","id":"Membrane.RTC.Engine.Exception.TrackReadyError","nested_context":"Membrane.RTC.Engine.Exception","nested_title":".TrackReadyError","sections":[],"title":"Membrane.RTC.Engine.Exception.TrackReadyError"},{"group":"Exceptions","id":"Membrane.RTC.Engine.Exception.TrackVariantStateError","nested_context":"Membrane.RTC.Engine.Exception","nested_title":".TrackVariantStateError","sections":[],"title":"Membrane.RTC.Engine.Exception.TrackVariantStateError"},{"group":"Exceptions","id":"Membrane.RTC.Engine.Exception.VoiceActivityError","nested_context":"Membrane.RTC.Engine.Exception","nested_title":".VoiceActivityError","sections":[],"title":"Membrane.RTC.Engine.Exception.VoiceActivityError"}],"tasks":[]}